export declare type MessagingOptions = {
    forceSupport?: boolean;
    serviceWorkerFileName?: string;
    onMessage: (payload: any) => void;
    onError: (error: any) => void;
};
export default function useFirebaseMessaging({ forceSupport: defaultForceSupport, serviceWorkerFileName: defaultServiceWorkerFileName, onMessage: defaultOnMessage, onError: defaultOnError, }: MessagingOptions): {
    isSupported: () => boolean;
    init: () => Promise<void>;
    fcmRegistrationToken: any;
    initializing: any;
    error: any;
    isReadyToUse: any;
};
